Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.net
Class RemoteClientImpl

    java.lang.Object
      de.grogra.persistence.RemoteClient
          de.grogra.imp.net.RemoteClientImpl

All Implemented Interfaces:
  MessageHandler, Command

    public class RemoteClientImpl

extends RemoteClient
implements Command, MessageHandler

Field Summary

Fields inherited from interface de.grogra.pf.ui.Command
`DISPOSE`

Constructor Summary
`RemoteClientImpl(Workbench workbench, Connection connection, long requestId)`

Method Summary
`java.lang.String` | `getCommandName()` Returns a name which can be used in the graphical user interface to represent this command.
`BindingsCache` | `getRemoteCache()`
`boolean` | `handleMessage(Connection cx, long messageId, java.lang.String message, boolean checkAvailability)`
`void` | `localTransactionCommitted(Transaction.Key key, long stamp)`
`void` | `run(java.lang.Object info, Context ctx)` Performs the actions of this command.
`void` | `transactionCommitted(Transaction.Data xa, short remoteId, long stamp)`

Methods inherited from class de.grogra.persistence.RemoteClient
`getCacheId, getServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteClientImpl

    public RemoteClientImpl(Workbench workbench,
                            Connection connection,
                            long requestId)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getCommandName

    public java.lang.String getCommandName()

  Description copied from interface: `Command`
  Returns a name which can be used in the graphical user interface to represent this command.

  Specified by:
    `getCommandName` in interface `Command`
  Returns:
    this commands's name

### getRemoteCache

    public BindingsCache getRemoteCache()

  Specified by:
    `getRemoteCache` in class `RemoteClient`

### handleMessage

    public boolean handleMessage(Connection cx,
                                 long messageId,
                                 java.lang.String message,
                                 boolean checkAvailability)
                          throws java.io.IOException

  Specified by:
    `handleMessage` in interface `MessageHandler`
  Throws:
    `java.io.IOException`

### localTransactionCommitted

    public void localTransactionCommitted(Transaction.Key key,
                                          long stamp)
                                   throws java.io.IOException

  Specified by:
    `localTransactionCommitted` in class `RemoteClient`
  Throws:
    `java.io.IOException`

### run

    public void run(java.lang.Object info,
                    Context ctx)

  Description copied from interface: `Command`
  Performs the actions of this command. This method is invoked by the `JobManager` after the command has been submitted to the job manager by one of `execute`, `runAt`, or `runLater`-methods. The arguments `info` and `context` are the arguments which have been provided as arguments to the `JobManager`-methods.

  Specified by:
    `run` in interface `Command`
  Parameters:
    `info` - an argument
    `ctx` - a context

### transactionCommitted

    public void transactionCommitted(Transaction.Data xa,
                                     short remoteId,
                                     long stamp)
                              throws java.io.IOException

  Specified by:
    `transactionCommitted` in class `RemoteClient`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD